| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
AnnotationPermission Class Reference
PDFViewCtrl

Describes the annotation permission informations. More...

## Public Member Functions
| has (permissionType:ANNOTATION_PERMISSION|string)
| Check whether the current permission object contains the specified permission type. More...
| ignorable ()
| If the customs.getAnnotPermissions callback returns undefined or Promise.resolve(undefined), the annotation permissions will become ignorable! More...
| isAdjustable ()
| isAttachmentDownloadable ()
| isDeletable ()
| isEditable ()
| isModifiable ()
| isPlayable ()
| isRedactionApplicable ()
| isReplyable ()

## Detailed Description

Describes the annotation permission informations.

Since
  7.6.0

## Member Function Documentation

## ◆ has()

AnnotationPermission::has | ( | permissionType:ANNOTATION_PERMISSION| | string | ) |
| inline

Check whether the current permission object contains the specified permission type.

Parameters

  permissionType | ANNOTATION_PERMISSION|string

Returns
  boolean - true if has the permission otherwise not.

Since
  7.6.0

## ◆ ignorable()

AnnotationPermission::ignorable | ( |  | ) |
| inline

If the customs.getAnnotPermissions callback returns undefined or Promise.resolve(undefined), the annotation permissions will become ignorable!

Returns
  boolean -

Since
  7.6.0

## ◆ isAdjustable()

AnnotationPermission::isAdjustable | ( |  | ) |
| inline

See also
  PDFViewCtrl.constants.ANNOTATION_PERMISSION.adjustable

Returns
  boolean -

Since
  7.6.0

## ◆ isAttachmentDownloadable()

AnnotationPermission::isAttachmentDownloadable | ( |  | ) |
| inline

See also
  PDFViewCtrl.constants.ANNOTATION_PERMISSION.attachmentDownloadable

Returns
  boolean -

Since
  7.6.0

## ◆ isDeletable()

AnnotationPermission::isDeletable | ( |  | ) |
| inline

See also
  PDFViewCtrl.constants.ANNOTATION_PERMISSION.deletable

Returns
  boolean -

Since
  7.6.0

## ◆ isEditable()

AnnotationPermission::isEditable | ( |  | ) |
| inline

See also
  PDFViewCtrl.constants.ANNOTATION_PERMISSION.editable

Returns
  boolean -

Since
  7.6.0

## ◆ isModifiable()

AnnotationPermission::isModifiable | ( |  | ) |
| inline

See also
  PDFViewCtrl.constants.ANNOTATION_PERMISSION.modifiable

Returns
  boolean -

Since
  7.6.0

## ◆ isPlayable()

AnnotationPermission::isPlayable | ( |  | ) |
| inline

See also
  PDFViewCtrl.constants.ANNOTATION_PERMISSION.playable

Returns
  boolean -

Since
  7.6.0

## ◆ isRedactionApplicable()

AnnotationPermission::isRedactionApplicable | ( |  | ) |
| inline

Returns
  boolean -

Since
  7.6.0

Note
  Since version 9.0.0 this method always returns true.

## ◆ isReplyable()

AnnotationPermission::isReplyable | ( |  | ) |
| inline

See also
  PDFViewCtrl.constants.ANNOTATION_PERMISSION.replyable

Returns
  boolean -

Since
  7.6.0

@2025 Foxit Software Incorporated. All rights reserved.